* Example NEXXIM compatible buffer design
******************************************************
* BUFFER SIMULATION FOR TYP of IVPU
******************************************************
* BPro INSERTED OPTIONS/PARAMS START HERE
******************************************************

.TEMP 27
.PARAM SPIVCCX = 1.80000

******************************************************
* BPro INSERTED OPTIONS/PARAMS END HERE
******************************************************


************************************************************
* This subckt defines buffer's design
.subckt buffer NINP NOUT NPWR NGND NENB

* For demo purpose, use a B element to represent its content
* Actual design will be transistor netlists w/ process files

B_driver NPWR NGND NOUT NINP NENB dummy NPWR NGND
+ file='ap7pm_18_mode.ibs' model='busio'
+ power=off
+ buffer=input_output
+ ramp_rwf=2
+ ramp_fwf=2
+ xv_pu='pu_state'
+ xv_pd='pd_state'
.ends
************************************************************

******************************************************
* BPro INSERTED SOURCES/PROBES START HERE
******************************************************


.TRAN 1.000E-09 1.000E-07 0.0 1.000E-09
.PROBE V(NOUT) I(VSPI_DIE)

* BUFFER CONTROL SOURCES
VSPI_VCC NPWR 0 'SPIVCCX'
VSPI_VSS NGND 0 0.0V
VSPI_DIE NOUT 0 PWL 0.0 '-SPIVCCX' 1.00000e-07 '2.0*SPIVCCX'
VSPI_ENB NENB 0 1.0
VSPI_INP NINP 0 1.0



* TOP-LEVEL BUFFER INSTANCE
XSPI_BUFFER NINP NOUT NPWR NGND NENB buffer

********************************************************
* BPro INSERTED SOURCES/PROBES END HERE
********************************************************

.end
